# Uses of Interface
org.eclipse.net4j.util.io.IStreamWrapper

Packages that use IStreamWrapper
Package
Description
org.eclipse.net4j.util.io
Interfaces and classes for I/O.

## Uses of IStreamWrapper in org.eclipse.net4j.util.io

Classes in org.eclipse.net4j.util.io that implement IStreamWrapper
Modifier and Type
Class
Description
`class`
`DelegatingStreamWrapper`
`class`
`GZIPStreamWrapper`
`class`
`StreamWrapperChain`
`class`
`XORStreamWrapper`
Methods in org.eclipse.net4j.util.io that return IStreamWrapper
Modifier and Type
Method
Description
`IStreamWrapper`
GZIPStreamWrapper.Factory.`create(String description)`
`abstract IStreamWrapper`
IStreamWrapper.Factory.`create(String description)`
`IStreamWrapper`
DelegatingStreamWrapper.`getDelegate()`
`IStreamWrapper`
StreamWrapperChain.`getHead()`
Constructors in org.eclipse.net4j.util.io with parameters of type IStreamWrapper
Modifier
Constructor
Description
``
`DelegatingStreamWrapper(IStreamWrapper delegate)`
``
`StreamWrapperChain(IStreamWrapper head, IStreamWrapper delegate)`